NX Open C++ Reference Guide
|
Represents a CAE::ElementProjectBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementProjectBuilder
Created in NX5.0.0.
More...
Public Types | |
enum | ElementDimensionType { ElementDimensionTypeAny, ElementDimensionTypeBeam, ElementDimensionTypeShell } |
Dimension of element to be projected. More... | |
enum | LabelType { LabelTypeLabel, LabelTypeOffset } |
Option to use label/increment or offset. More... | |
enum | MethodType { MethodTypeVector, MethodTypeElemNormal } |
Projection method. More... | |
enum | NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting } |
Option to create new mesh or add to existing mesh. More... | |
Public Member Functions | |
NXString | CollectorName () |
Returns the mesh collector name Created in NX5.0.0. | |
NXOpen::CAE::ElementProjectBuilder::ElementDimensionType | ElementDimensionOption () |
Returns the element dimension option Created in NX5.0.0. | |
NXOpen::CAE::SelectElementsBuilder * | Elements () |
Returns the selected elements to be extruded Created in NX5.0.0. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type builder. | |
NXOpen::CAE::SelectCAEFaceList * | Face () |
Returns the face on which projection will happen Created in NX5.0.0. | |
int | FlipState () |
Returns the flip state from the builder Created in NX5.0.0. | |
int | Increment () |
Returns the increment Created in NX5.0.0. | |
int | Label () |
Returns the label Created in NX5.0.0. | |
NXOpen::CAE::ElementProjectBuilder::LabelType | LabelOption () |
Returns the label option Created in NX5.0.0. | |
NXString | MeshName () |
Returns the mesh name Created in NX5.0.0. | |
NXOpen::CAE::ElementProjectBuilder::MethodType | MethodOption () |
Returns the method option Created in NX5.0.0. | |
NXString | NeutralName () |
Returns the element neutral name Created in NX5.0.0. | |
NXOpen::CAE::ElementProjectBuilder::NewMeshType | NewMeshOption () |
Returns the new mesh option Created in NX5.0.0. | |
int | Offset () |
Returns the offset Created in NX5.0.0. | |
double | PercentOffset () |
Returns the percent offset Created in NX5.0.0. | |
void | SetCollectorName (const NXString &collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetCollectorName (const char *collectorName) |
Sets the mesh collector name Created in NX5.0.0. | |
void | SetElementDimensionOption (NXOpen::CAE::ElementProjectBuilder::ElementDimensionType elementDimensionOption) |
Sets the element dimension option Created in NX5.0.0. | |
void | SetFlipState (int flipstate) |
Sets the flip state from the builder Created in NX5.0.0. | |
void | SetIncrement (int increment) |
Sets the increment Created in NX5.0.0. | |
void | SetLabel (int label) |
Sets the label Created in NX5.0.0. | |
void | SetLabelOption (NXOpen::CAE::ElementProjectBuilder::LabelType labelOption) |
Sets the label option Created in NX5.0.0. | |
void | SetMeshName (const NXString &meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetMeshName (const char *meshName) |
Sets the mesh name Created in NX5.0.0. | |
void | SetMethodOption (NXOpen::CAE::ElementProjectBuilder::MethodType methodOption) |
Sets the method option Created in NX5.0.0. | |
void | SetNeutralName (const NXString &neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNeutralName (const char *neutralName) |
Sets the element neutral name Created in NX5.0.0. | |
void | SetNewMeshOption (NXOpen::CAE::ElementProjectBuilder::NewMeshType newMeshOption) |
Sets the new mesh option Created in NX5.0.0. | |
void | SetOffset (int offset) |
Sets the offset Created in NX5.0.0. | |
void | SetPercentOffset (double percentOffset) |
Sets the percent offset Created in NX5.0.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector along which projection will happen Created in NX5.0.0. | |
NXOpen::Direction * | Vector () |
Returns the vector along which projection will happen Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ElementProjectBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateElementProjectBuilder
Created in NX5.0.0.
NXString NXOpen::CAE::ElementProjectBuilder::CollectorName | ( | ) |
Returns the mesh collector name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementProjectBuilder::ElementDimensionType NXOpen::CAE::ElementProjectBuilder::ElementDimensionOption | ( | ) |
Returns the element dimension option
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ElementProjectBuilder::Elements | ( | ) |
Returns the selected elements to be extruded
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementProjectBuilder::ElementType | ( | ) |
Returns the element type builder.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SelectCAEFaceList* NXOpen::CAE::ElementProjectBuilder::Face | ( | ) |
Returns the face on which projection will happen
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementProjectBuilder::FlipState | ( | ) |
Returns the flip state from the builder
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::ElementProjectBuilder::Increment | ( | ) |
Returns the increment
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementProjectBuilder::Label | ( | ) |
Returns the label
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementProjectBuilder::LabelType NXOpen::CAE::ElementProjectBuilder::LabelOption | ( | ) |
Returns the label option
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementProjectBuilder::MeshName | ( | ) |
Returns the mesh name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementProjectBuilder::MethodType NXOpen::CAE::ElementProjectBuilder::MethodOption | ( | ) |
Returns the method option
Created in NX5.0.0.
License requirements : None
NXString NXOpen::CAE::ElementProjectBuilder::NeutralName | ( | ) |
Returns the element neutral name
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::ElementProjectBuilder::NewMeshType NXOpen::CAE::ElementProjectBuilder::NewMeshOption | ( | ) |
Returns the new mesh option
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::ElementProjectBuilder::Offset | ( | ) |
Returns the offset
Created in NX5.0.0.
License requirements : None
double NXOpen::CAE::ElementProjectBuilder::PercentOffset | ( | ) |
Returns the percent offset
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::ElementProjectBuilder::SetCollectorName | ( | const NXString & | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementProjectBuilder::SetCollectorName | ( | const char * | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::ElementProjectBuilder::SetElementDimensionOption | ( | NXOpen::CAE::ElementProjectBuilder::ElementDimensionType | elementDimensionOption | ) |
Sets the element dimension option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
elementDimensionOption | elementdimensionoption |
void NXOpen::CAE::ElementProjectBuilder::SetFlipState | ( | int | flipstate | ) |
Sets the flip state from the builder
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
flipstate | flipstate |
void NXOpen::CAE::ElementProjectBuilder::SetIncrement | ( | int | increment | ) |
Sets the increment
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
increment | increment |
void NXOpen::CAE::ElementProjectBuilder::SetLabel | ( | int | label | ) |
Sets the label
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
label | label |
void NXOpen::CAE::ElementProjectBuilder::SetLabelOption | ( | NXOpen::CAE::ElementProjectBuilder::LabelType | labelOption | ) |
Sets the label option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
labelOption | labeloption |
void NXOpen::CAE::ElementProjectBuilder::SetMeshName | ( | const NXString & | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementProjectBuilder::SetMeshName | ( | const char * | meshName | ) |
Sets the mesh name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::ElementProjectBuilder::SetMethodOption | ( | NXOpen::CAE::ElementProjectBuilder::MethodType | methodOption | ) |
Sets the method option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
methodOption | methodoption |
void NXOpen::CAE::ElementProjectBuilder::SetNeutralName | ( | const NXString & | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementProjectBuilder::SetNeutralName | ( | const char * | neutralName | ) |
Sets the element neutral name
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::ElementProjectBuilder::SetNewMeshOption | ( | NXOpen::CAE::ElementProjectBuilder::NewMeshType | newMeshOption | ) |
Sets the new mesh option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
newMeshOption | newmeshoption |
void NXOpen::CAE::ElementProjectBuilder::SetOffset | ( | int | offset | ) |
Sets the offset
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
offset | offset |
void NXOpen::CAE::ElementProjectBuilder::SetPercentOffset | ( | double | percentOffset | ) |
Sets the percent offset
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
percentOffset | percentoffset |
void NXOpen::CAE::ElementProjectBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector along which projection will happen
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
vector | vector |
NXOpen::Direction* NXOpen::CAE::ElementProjectBuilder::Vector | ( | ) |
Returns the vector along which projection will happen
Created in NX5.0.0.
License requirements : None